Skip to main content
GET
Get inbound visibility history
The location history endpoint provides access to inbound updates for a specific load by using the loadNumber and version in your request. The history includes location updates from various sources, such as ELD integrations (if enabled for assets), manual Checkcalls, EDI & Visibility integrations, or updates from the driver app. These updates help track the load’s location, detailing event types, timestamps, and asset information. For guidance on versioning and how to include it in your requests, visit the Versioning page.

Request Parameters

The following parameters are required in the URL:

Example CURL Request

Replace YOUR_ACCESS_TOKEN with your actual Bearer token and 12345 with the load number you wish to track.

Response Fields

The following fields are included in the response:

Example Response

Rate Limits

All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information on rate limits, please refer to the Rate Limits section. This page is interactive, allowing you to try a request by completing the fields for the parameters below. As you fill out the parameters, the CURL command on the right side of the page will be automatically updated. Alternatively, you can fork our Public API Postman Collection directly. Make sure to authorize yourself before trying a request.

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.

Path Parameters

loadNumber
string
required
version
string
default:1.0
required

API version (e.g., 1.0)

Example:

"1.0"

Response

OK

Id
string
required
EventType
enum<string>
required
Available options:
Location,
Arrival,
Departure,
Appointment,
Loading,
Unloading,
ShipmentDelayed,
ShipmentReconsigned,
EstimatedDelivery,
DeliveryNotCompleted,
DocumentsUpload,
ArrivedAtCustoms,
CustomsReleased
SharedAt
string<date-time>
required
Destination
string
required
Status
enum<string>
required
Available options:
Completed,
Active,
Cancelled,
Failed
ExternalId
string | null
TripNumber
string | null
LoadNumber
string | null
TruckNumber
string | null
DriverName
string | null
TrailerNumber
string | null
StopId
string | null
LocationId
string | null
SharedBy
string | null
Reason
string | null
Address
object | null
Coordinates
object | null
Error
string | null